E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::SecureFile Class Reference

An interface for reading a sensitive file and then overwriting its contents in memory. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
| SecureFile (const G::Path &path, bool with_counted_nul)
const char * | p () const
const unsigned char * | pu () const
unsigned char * | pu ()
std::size_t | size () const
bool | empty () const
| SecureFile (const SecureFile &)=delete
| SecureFile (SecureFile &&)=delete
SecureFile & | operator= (const SecureFile &)=delete
SecureFile & | operator= (SecureFile &&)=delete

## Detailed Description

An interface for reading a sensitive file and then overwriting its contents in memory.

Definition at line 158 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ SecureFile()

GSsl::MbedTls::SecureFile::SecureFile | ( | const G::Path & | path,
|  | bool | with_counted_nul
| ) |  |

Definition at line 935 of file gssl_mbedtls.cpp.

## ◆ ~SecureFile()

GSsl::MbedTls::SecureFile::~SecureFile | ( |  | ) |

Definition at line 961 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ empty()

bool GSsl::MbedTls::SecureFile::empty | ( |  | ) | const

Definition at line 989 of file gssl_mbedtls.cpp.

## ◆ p()

const char * GSsl::MbedTls::SecureFile::p | ( |  | ) | const

Definition at line 966 of file gssl_mbedtls.cpp.

## ◆ pu() [1/2]

unsigned char * GSsl::MbedTls::SecureFile::pu | ( |  | ) |

Definition at line 979 of file gssl_mbedtls.cpp.

## ◆ pu() [2/2]

const unsigned char * GSsl::MbedTls::SecureFile::pu | ( |  | ) | const

Definition at line 973 of file gssl_mbedtls.cpp.

## ◆ size()

std::size_t GSsl::MbedTls::SecureFile::size | ( |  | ) | const

Definition at line 984 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp